import { Config, Schema } from "effect"


export const mode = Schema.Config("NODE_ENV",
    Schema.compose(Schema.String, Schema.Literal("development", "production"))
).pipe(
    Config.withDefault("development")
)

export const httpPort = Config.withDefault(Config.port("SERVER_HTTP_PORT"), 80)
